-- oni

local children =
{
	LoadActor("explain") ..{
		InitCommand=cmd(x,SCREEN_CENTER_X-98;y,SCREEN_CENTER_Y+138;horizalign,left;diffusealpha,0);
		OnCommand=cmd(linear,0.25;diffusealpha,1);
		GainFocusCommand=cmd(linear,0.1;faderight,0;cropright,0);
		LoseFocusCommand=cmd(linear,0.05;faderight,1;cropright,1);
		--OffFocusedCommand=cmd(linear,0.1;x,SCREEN_CENTER_X/2;decelerate,0.2;y,SCREEN_CENTER_Y+40;sleep,0.8);
	};
	
	-- facts
	LoadActor( THEME:GetPathG("","_game info/_mode oni") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X-215;y,SCREEN_CENTER_Y-20);
	};
};

return Def.ActorFrame{ children=children };